Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
b2AABB Struct Reference

An axis aligned bounding box. More...

`#include <b2Collision.h>`

## Public Member Functions
bool | IsValid () const
| Verify that the bounds are sorted.
b2Vec2 | GetCenter () const
| Get the center of the AABB.
b2Vec2 | GetExtents () const
| Get the extents of the AABB (half-widths).
float32 | GetPerimeter () const
| Get the perimeter length.
void | Combine (const b2AABB &aabb)
| Combine an AABB into this one.
void | Combine (const b2AABB &aabb1, const b2AABB &aabb2)
| Combine two AABBs into this one.
bool | Contains (const b2AABB &aabb) const
| Does this aabb contain the provided AABB.
bool | RayCast (b2RayCastOutput *output, const b2RayCastInput &input) const

## Public Attributes
b2Vec2 | lowerBound
| the lower vertex
b2Vec2 | upperBound
| the upper vertex

## Detailed Description

An axis aligned bounding box.

The documentation for this struct was generated from the following files:

- b2Collision.h
- b2Collision.cpp